package com.glxp.api.admin.dao.basic;

import com.glxp.api.admin.entity.basic.UdiInfoExportLogEntity;
import com.glxp.api.admin.req.basic.FilterUdiEpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiInfoExportLogDao {

    List<UdiInfoExportLogEntity> filterUdiInfoExportLog(FilterUdiEpLogRequest filterInCodeLogRequest);

    boolean insertUdiInfoExportLog(UdiInfoExportLogEntity udiInfoImportEntity);

    boolean updateUdiInfoExportLog(UdiInfoExportLogEntity udiInfoImportEntity);

    boolean deleteById(@Param("id") String id);

    /**
     * 根据ID查询文件位置
     *
     * @param id
     * @return
     */
    String selectFilePathById(@Param("id") String id);
}
