package com.glxp.api.admin.res.basic;

import com.glxp.api.admin.entity.basic.BasicUnitMaintainEntity;
import com.glxp.api.admin.entity.thrsys.ThrCorpEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 往来单位信息数据导出
 */
@Data
public class BasicUnitMaintainExportResponse {

    /**
     * 基础往来单位信息
     */
    private List<BasicUnitMaintainEntity> corpList;

    /**
     * 第三方往来单位信息
     */
    private List<ThrCorpEntity> thrCorpEntities;

    public BasicUnitMaintainExportResponse() {
        this.corpList = new ArrayList<>();
        this.thrCorpEntities = new ArrayList<>();
    }
}
