package com.glxp.api.admin.res.basic;

import com.glxp.api.admin.entity.basic.UdiInfoEntity;
import com.glxp.api.admin.entity.basic.UdiRelevanceEntity;
import com.glxp.api.admin.entity.thrsys.ThrProductsEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 医疗器械信息导出实体类
 */
@Data
public class UdiRelevanceExportJsonResponse {

    List<UdiInfoEntity> udiInfoEntities;

    List<UdiRelevanceEntity> udiRelevanceEntities;

    //第三方产品信息
    List<ThrProductsEntity> thrProductsEntities;

    public UdiRelevanceExportJsonResponse() {
        this.udiInfoEntities = new ArrayList<>();
        this.udiRelevanceEntities = new ArrayList<>();
        this.thrProductsEntities = new ArrayList<>();
    }
}
