package com.glxp.api.admin.service.inventory;


import com.glxp.api.admin.entity.inventory.InvProductDetailEntity;
import com.glxp.api.admin.req.inventory.FilterInvProductDetailRequest;
import com.glxp.api.admin.res.inventory.InvProductDetailJoinResponse;

import java.util.List;

public interface InvProductDetailService {


    List<InvProductDetailEntity> filterInvProduct(FilterInvProductDetailRequest filterInvProductDetailRequest);

    List<InvProductDetailJoinResponse> filterJoinInvProduct(FilterInvProductDetailRequest filterInvProductDetailRequest);

    boolean insertInvProduct(InvProductDetailEntity invProductDetailEntity);

    boolean insertInvProducts(List<InvProductDetailEntity> invProductDetailEntitys);

    boolean updateInvProduct(InvProductDetailEntity invProductDetailEntity);

    boolean deleteById(String id);

    boolean deleteByProductId(FilterInvProductDetailRequest productIdFk);

    int statCount(FilterInvProductDetailRequest filterInvProductDetailRequest);
}
