package com.glxp.api.admin.dao.inventory;

import com.glxp.api.admin.entity.inventory.InvProductDetailEntity;
import com.glxp.api.admin.req.inventory.FilterInvProductDetailRequest;
import com.glxp.api.admin.res.inventory.InvProductDetailJoinResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvProductDetailDao {

    List<InvProductDetailEntity> filterInvProductDetail(FilterInvProductDetailRequest filterInvProductDetailRequest);

    List<InvProductDetailJoinResponse> filterJoinInvProduct(FilterInvProductDetailRequest filterInvProductDetailRequest);

    boolean insertInvProductDetail(InvProductDetailEntity invProductDetailEntity);

    boolean insertInvProductDetails(@Param("invProductDetailEntitys") List<InvProductDetailEntity> invProductDetailEntitys);

    boolean updateInvProductDetail(InvProductDetailEntity invProductDetailEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByProductId(FilterInvProductDetailRequest productIdFk);

    int statCount(FilterInvProductDetailRequest filterInvProductDetailRequest);

}
