package com.glxp.api.admin.res.inventory;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class InvProductDetailResponse {

    private Integer id;
    private String code;
    private String productIdFk;
    private String orderIdFk;
    private String customerId;
    private String mainAction;
    private String action;
    private Integer count;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updateTime;
    private Integer purchaseType;
    private String batchNo;
    private String productionDate;
    private String expireDate;
    private String unitFk;
    private String stockIdFk;
    private Integer inCount;
    private Integer outCount;
    private String mainActionStr;
    private String originCode;

}
