package com.glxp.api.admin.service.business;

import com.glxp.api.admin.entity.business.StockOrderDetailEntity;
import com.glxp.api.admin.req.business.StockOrderDetailFilterRequest;
import com.glxp.api.admin.res.business.StockOrderDetailResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StockOrderDetailService {

    List<StockOrderDetailEntity> filterStockOrderDetail(StockOrderDetailFilterRequest stockOrderDetailFilterRequest);

    List<StockOrderDetailResponse> filterStockOrderDetail2(StockOrderDetailFilterRequest stockOrderDetailFilterRequest);

    boolean insertStockOrderDetail(StockOrderDetailEntity stockOrderDetailEntity);

    boolean insertStockOrderDetails(List<StockOrderDetailEntity> stockOrderDetailEntities);

    boolean updateById(StockOrderDetailEntity stockOrderDetailEntity);

    boolean deleteById(String id);

    boolean deleteByOrderIdFk(String id);

    StockOrderDetailEntity findOne(@Param("id") String id);
}
