/*
 Navicat Premium Data Transfer

 Source Server         : mysql
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : localhost:3306
 Source Schema         : udiwms

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 07/03/2022 17:58:14
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for company_product_relevance
-- ----------------------------
DROP TABLE IF EXISTS `company_product_relevance`;
CREATE TABLE `company_product_relevance`  (
                                              `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
                                              `customerId` bigint NOT NULL,
                                              `productId` bigint NULL DEFAULT NULL,
                                              `enterpriseId` bigint NULL DEFAULT NULL,
                                              `registrationId` bigint NULL DEFAULT NULL,
                                              `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
                                              `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
                                              `auditStatus` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '审核状态 1：通过，2：不通过，3：反审',
                                              `productUuid` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
                                              `udiRlIdFk` bigint NULL DEFAULT NULL COMMENT '基础信息维护表关联主键',
                                              `unitFk` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '往来单位ID外键',
                                              PRIMARY KEY (`id`) USING BTREE,
                                              UNIQUE INDEX `udiRlIdFk`(`udiRlIdFk`, `customerId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 141 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
